Name:           perl-generators
Version:        1.10
Release:        11
Summary:        RPM Perl dependencies generators
License:        GPL+
URL:            http://jplesnik.fedorapeople.org/generators
Source0:        %{url}/generators-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils findutils make
BuildRequires:  perl-interpreter >= 4:5.22.0
%if !%{defined perl_bootstrap}
BuildRequires:  perl-generators
%endif
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(strict) perl(Fedora::VSP)
BuildRequires:  perl(warnings)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(Test::More)
BuildRequires:  sed
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl-interpreter >= 4:5.22.0
Requires:       perl-macros
%if %{defined perl_bootstrap}
Requires:  perl(Fedora::VSP)
%endif

%description
This package provides RPM Perl dependencies generators which are used for
getting provides and requires from Perl binaries and modules.

%prep
%setup -q -n generators-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 INSTALLVENDORSCRIPT=%{_rpmconfigdir}
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

mkdir -p %{buildroot}%{_rpmconfigdir}/fileattrs/
install -p -m 644 fileattrs/* '%{buildroot}%{_rpmconfigdir}/fileattrs'

%check
make test

%files
%doc Changes TODO
%{_rpmconfigdir}/perl.*
%{_rpmconfigdir}/fileattrs/perl*.attr

%changelog
* Thu Aug 13 2020 shenyangyang <shenyangyang4@huawei.com> - 1.10-11
- Add build requires and requires of perl(Fedora::VSP) when perl bootstrap

* Thu Aug 13 2020 shenyangyang <shenyangyang4@huawei.com> - 1.10-10
- Add perl_bootstrap for perl bootstrap

* Fri Apr 03 2020 daiqianwen <daiqianwen@huawei.com> - 1.10-9
- delete useless buildrequires

* Wed Nov 27 2019 hexiaowen <hexiaowen@huawei.com> - 1.10-8
- add buildrequires perl-Test-More

* Wed Nov 27 2019 hexiaowen <hexiaowen@huawei.com> - 1.10-2
- add bootstrap

* Tue Aug 27 2019 hexiaowen <hexiaowen@huawei.com> - 1.10-1
- Package init.
